import java.time.LocalDate;
import java.time.Period;
import java.time.ZoneId;

public class Person {

        public enum Sex {
            MALE, FEMALE
        }

        String name;
        LocalDate birthday;
        Sex gender;
        String emailAddress;

        public Person(String name, LocalDate birthday, Sex gender, String emailAddress){
            this.name = name;
            this.birthday = birthday;
            this.gender = gender;
            this.emailAddress = emailAddress;
        }

        public int getAge() {
            Period period = Period.between(birthday, LocalDate.now(ZoneId.systemDefault()));
            return period.getYears();
        }

        public void printPerson() {
            System.out.println(name + ", " + birthday + ", " + gender + ", " + emailAddress);
        }

}
