import org.junit.Test;
import java.time.LocalDate;
import java.time.Month;
import static junit.framework.TestCase.assertEquals;

public class PersonTest {
    @Test
    public void getAgeTest(){
        Person person = new Person("John", LocalDate.of(1990, Month.JANUARY, 01), Person.Sex.MALE, "johndoe@gmail.com");
        int expected = 28;
        int actual = person.getAge();
        assertEquals(expected, actual);
    }

    @Test
    public void printPersonTest(){
        Person person = new Person("John", LocalDate.of(1990, Month.JANUARY, 01), Person.Sex.MALE, "johndoe@gmail.com");
        person.printPerson();
    }
}
