import org.junit.Test;

import java.time.LocalDate;
import java.time.Month;

import static junit.framework.TestCase.assertTrue;
import static org.junit.Assert.assertFalse;

public class TestPrintPersons {
    @Test
    public void testTestPositive(){
        Person person = new Person("John", LocalDate.of(1990, Month.JANUARY, 01), Person.Sex.MALE, "johndoe@gmail.com");
        PrintPersons tester = new PrintPersons(20,40);
        assertTrue(tester.checkAgeRange.test(person));
    }

    @Test
    public void testTestNegative(){
        Person person = new Person("Jim", LocalDate.of(1970, Month.JANUARY, 01), Person.Sex.MALE, "jim@gmail.com");
        PrintPersons tester = new PrintPersons(20,40);
        assertFalse(tester.checkAgeRange.test(person));
    }
}
